You are not logged in.

#1 2013-01-28 12:02:40

nanawel
Member
Registered: 2012-05-07
Posts: 66
Website

Zend Studio crashes after system upgrade

Hi,

I've been using Zend Studio 9.0.4 (based on Eclipse) for 3 months now (beginning of October 2012 approx.) on my laptop and it was working great.
I did not upgrade my configuration all that time since everything was stable and I couldn't afford of breaking anything: it's my company's computer and I need it everyday.

But, last week-end I decided to go with a

pacman -Syu

to update all my packages because every new package I tried to install was always complaining about a unsatisfied/out-of-date dependency. Everything went smooth except with Zend Studio: I get reproductible crashes on code completion (on my old workspace) or directly at start after closing the welcome screen (with a fresh workspace).

The only log I can get is this (after several restarts):

!ENTRY org.eclipse.dltk.core 2 0 2013-01-28 10:07:57.503
!MESSAGE Error decoding problem idenfier "1073741824"
!SESSION 2013-01-28 10:31:26.852 -----------------------------------------------
eclipse.buildId=unknown
java.version=1.7.0_11
java.vendor=Oracle Corporation
BootLoader constants: OS=linux, ARCH=x86_64, WS=gtk, NL=fr_FR
Framework arguments:  -showlocation
Command-line arguments:  -os linux -ws gtk -arch x86_64 -showlocation

!ENTRY org.eclipse.core.resources 2 10035 2013-01-28 10:31:28.071
!MESSAGE The workspace exited with unsaved changes in the previous session; refreshing workspace to recover changes.

!ENTRY org.eclipse.ui.workbench 2 0 2013-01-28 10:36:40.279
!MESSAGE A handler conflict occurred.  This may disable some commands.
!SUBENTRY 1 org.eclipse.ui.workbench 2 0 2013-01-28 10:36:40.279
!MESSAGE Conflict for 'org.eclipse.dltk.ui.edit.text.script.refactor.quickMenu':
HandlerActivation(commandId=org.eclipse.dltk.ui.edit.text.script.refactor.quickMenu,
	handler=org.eclipse.dltk.internal.ui.actions.refactoring.RefactorActionGroup$3@4c48b175,
	expression=AndExpression(ActivePartExpression(org.eclipse.php.internal.ui.explorer.PHPExplorerPart@1a8304a4),WorkbenchWindowExpression(org.eclipse.ui.internal.WorkbenchWindow@11f6cc2d)),sourcePriority=1064960)
HandlerActivation(commandId=org.eclipse.dltk.ui.edit.text.script.refactor.quickMenu,
	handler=org.eclipse.dltk.internal.ui.actions.refactoring.RefactorActionGroup$3@387a9f73,
	expression=AndExpression(ActivePartExpression(org.eclipse.php.internal.ui.explorer.PHPExplorerPart@1a8304a4),WorkbenchWindowExpression(org.eclipse.ui.internal.WorkbenchWindow@11f6cc2d)),sourcePriority=1064960)
!SESSION 2013-01-28 10:37:49.566 -----------------------------------------------
eclipse.buildId=unknown
java.version=1.7.0_11
java.vendor=Oracle Corporation
BootLoader constants: OS=linux, ARCH=x86_64, WS=gtk, NL=fr_FR
Framework arguments:  -showlocation
Command-line arguments:  -os linux -ws gtk -arch x86_64 -showlocation

!ENTRY org.eclipse.core.resources 2 10035 2013-01-28 10:37:50.831
!MESSAGE The workspace exited with unsaved changes in the previous session; refreshing workspace to recover changes.
!SESSION 2013-01-28 10:58:58.434 -----------------------------------------------
eclipse.buildId=unknown
java.version=1.7.0_11
java.vendor=Oracle Corporation
BootLoader constants: OS=linux, ARCH=x86_64, WS=gtk, NL=fr_FR
Framework arguments:  -showlocation
Command-line arguments:  -os linux -ws gtk -arch x86_64 -showlocation

!ENTRY org.eclipse.core.resources 2 10035 2013-01-28 10:58:59.692
!MESSAGE The workspace exited with unsaved changes in the previous session; refreshing workspace to recover changes.

As you can see, I'm using an up-to-date Archlinux x86_64 with Sun/Oracle's JDK.

I'm suspecting a problem with the new look'n'feel of Gnome Shell that got updated in the process (because it crashes when a menu appears), or maybe the JDK. I could not find any info so far but I hope somebody could tell me what to do or where to look.

I was about to try downgrading the JDK, what do you think?

Thanks in advance


EDIT: I've tested using XFCE instead of Gnome-Shell: same issue. I tried to downgrade Oracle JDK to 1.7.0_09 (instead of 1.7.0_11): same issue. I tried to use the latest OpenJDK available (7.u9_2.3.4-1): same issue. So despairing.

Last edited by nanawel (2013-01-28 15:18:27)

Offline

#2 2013-01-30 11:06:19

nanawel
Member
Registered: 2012-05-07
Posts: 66
Website

Re: Zend Studio crashes after system upgrade

Bump. Reproduced on another computer with totally different hardware but same OS (up-to-date 64bit ArchLinux).

Last edited by nanawel (2013-01-30 11:06:32)

Offline

#3 2013-03-04 08:41:23

nanawel
Member
Registered: 2012-05-07
Posts: 66
Website

Re: Zend Studio crashes after system upgrade

Update: After switching to MATE as Desktop Environment I can use Zend Studio again. Don't know exactly how it fixed the problem but it did.

Offline

Board footer

Powered by FluxBB